6.0.0-git
2019-03-22

[#7458] Turba letter sub page only has sub pages for ascii names
Summary Turba letter sub page only has sub pages for ascii names
Queue Turba
Queue Version 2.3
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester janne.peltonen (at) helsinki (dot) fi
Created 2008-10-08 (3817 days ago)
Due
Updated 2011-04-10 (2903 days ago)
Assigned 2008-10-08 (3817 days ago)
Resolved
Milestone
Patch No

History
2011-04-10 17:14:52 Jan Schneider Comment #13 Reply to this comment
There still is no viable solution to this problem, so it doesn't make 
sense to raise the priority.
2011-04-10 16:26:49 je (at) ktf (dot) rtu (dot) lv Comment #12 Reply to this comment
may be it is worth to cinsider raising of the importance from low to 
medium or even High as Horde seems to be used quite a lot in 
non-English speaking countries.
2011-04-10 16:24:29 je (at) ktf (dot) rtu (dot) lv Comment #11 Reply to this comment
even if I manage to get Latvian alphabet in alphaPager.inc and it is 
displayed, the links represented by ?, ?, ? etc are not working, 
returning "A"-s page instead.

I looked at database records and found that the info is stored not as 
UTF8 but Latin1 (???) - may be that is one of possible reasons. What 
surprises me is that search is working OK.
2011-04-09 17:17:39 je (at) ktf (dot) rtu (dot) lv Comment #10 Reply to this comment
Unfortunately, this solution does not fit to Latvian, plus, ir removes 
almost all ASCII characters.
2009-07-16 03:27:14 citycat4 (at) ngs (dot) ru Comment #9
New Attachment: listview.php.patch Download
Reply to this comment
Add second patch, because only one patch can be added at one time
2009-07-16 03:22:20 citycat4 (at) ngs (dot) ru Comment #8
New Attachment: alphaPager.inc.patch Download
Reply to this comment
I have done (partly) this issue, but it is only "quick hack" and 
conatin "destructive" code, which cannot use for any locales, exclude 
ru_RU. Subpages links generation goes in 
turba/templates/list/alphaPager.inc and checking on "current" page 
goes in turba/lib/ListView.php. Patches with current "destructive" 
code attached, may be will usable :-)



To make it universal, I think, we need to know locale and where in 
current locale located letter, which will first subpage link? Locale 
we can take from login screen. So, this is only problem to know which 
in current locale is "start" letter, and which is their code
2008-12-11 08:26:33 janne (dot) peltonen (at) helsinki (dot) fi Comment #7 Reply to this comment
Before start this issue,perhaps we can consider a simple  solution
ref. ticket 6790
Mm. I have some users with more than 1000 contacts, and about 50 users 
with more than 500 contacts. If they were to see all their contacts on 
one page, wouldn't that take quite a while to load?





--Janne


2008-12-09 22:11:04 david (at) tmv (dot) gov (dot) tw Comment #6 Reply to this comment
Before start this issue,perhaps we can consider a simple  solution   
ref. ticket 6790


2008-11-06 02:52:58 Chuck Hagenbuch Comment #5
State ⇒ Accepted
Reply to this comment
I buy this being an enhancement, but we do need to do it somehow.
2008-10-23 23:30:05 Jan Schneider Type ⇒ Enhancement
State ⇒ Feedback
Priority ⇒ 1. Low
 
2008-10-08 15:50:50 Jan Schneider Comment #4 Reply to this comment
A completely different way to attack the problem would be to
determine the actual initial characters from the actual contacts of
the user, sort them according to the selected language's (locale's)
collation rules and only show those initial characters in the list. I
think that Cyrillic locales, for example, also contain collation
rules for latin characters.
That would defeat the paging on the server side, i.e. on the SQL or 
LDAP server.
2008-10-08 14:07:33 janne (dot) peltonen (at) helsinki (dot) fi Comment #3 Reply to this comment
Well, and how would you want to fix that? It might be easy for Ä, 
though it's already harder than it looks like, to map it to A. But 
how about characters not from latin1 charsets, like cyrillic, 
chinese, japanese, etc.?
Could you use the collation information of the locale to determine the 
set of initial characters that should be shown? (I'm not completely 
familiar with how locales work in this respect.) A Finn would expect 
to see in the end of the initial letter list the local letters "Å Ä Ö" 
when using his/her own language, and so would a Swede... a Russian 
would like to see the list of cyrillic characters (maybe in addition 
to the latin letters, for Western contacts). I don't know what a 
Japanese or a Chinese would like to see...



A completely different way to attack the problem would be to determine 
the actual initial characters from the actual contacts of the user, 
sort them according to the selected language's (locale's) collation 
rules and only show those initial characters in the list. I think that 
Cyrillic locales, for example, also contain collation rules for latin 
characters.
2008-10-08 13:15:50 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
Well, and how would you want to fix that? It might be easy for Ä, 
though it's already harder than it looks like, to map it to A. But how 
about characters not from latin1 charsets, like cyrillic, chinese, 
japanese, etc.?
2008-10-08 12:57:24 Chuck Hagenbuch Version ⇒ 2.3
Queue ⇒ Turba
 
2008-10-08 10:32:10 janne (dot) peltonen (at) helsinki (dot) fi Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Turba letter sub page only has sub pages for ascii names
Queue ⇒ Horde Groupware Webmail Edition
Milestone ⇒
Patch ⇒ No
Reply to this comment
(First, sorry if this went into a wrong queue, but I couldn't see a 
queue for Turba...)



If a user has so many contacts that Turba separates them into 
different pages according to the first letter of a name, there is 
trouble with international characters. If I have sorted my contacts 
according to the surname and have a contact with the surname of, say, 
"Äärelä", there are still only sub pages for contacts that begin with 
[A-Z]; there appears no page for contacts that begin with "Ä" (that 
is, A with two dots). I can only find contacts with non-low-ascii 
first letter on the page that contains "All" my contacts.

Saved Queries